#include<iostream>
#include<vector>
using namespace std;
const int N = 1e6;
const int MAXN = 2e6+20;
int a[MAXN];
vector<int> r;
int n, k, p, i, j, l;
int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	
	for(i=0,cin>>n>>k;i<n;i++){
		cin >> p;
		++a[p+N];
	}

	for(i=0;i<=2*N;i++){
		if(a[i]>=k){
			r.push_back(i-N);
		}
	}

	cout << r.size() << '\n';
	for (int e : r) {
		cout << e << ' ';
	}
}